﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@model Toyota.Common.Web.MVC.ModelHolder


<div style="display: table; border: 1px solid #142B94; background-color: #DEECFD; width:100%">
    <table border="0">
        <tr>
            <td>
                @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Rcv Plant - Dock";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
            </td>
            <td>:</td>
            <td>
                <div style="float:left; width:50px; margin-right:5px;">

                    @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "UPLOAD_PLANT_CD";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(50);
                    edtSettings.Text = @ViewBag.RECEIVING_PLANT;
                    edtSettings.Properties.ValidationSettings.EnableCustomValidation = true;
                    edtSettings.Properties.MaxLength = 11;
                   
                }).GetHtml()
                </div>

                <div style="float:left; width:3px; margin-right:5px;">
                    -
                </div>

                <div style="float:left; width:80px;">
                    @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "UPLOAD_DOCK_CD";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(50);
                    edtSettings.Text = @ViewBag.DOCK_CD;
                    edtSettings.Properties.ValidationSettings.EnableCustomValidation = true;
                    edtSettings.Properties.MaxLength = 11;
                   
                }).GetHtml()
                </div>
            </td>
        </tr>

        <tr>
            <td>
                @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Total Kanban";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
            </td>
            <td>:</td>
            <td>
                <div style="float:left; display:inline; margin-right:3px;">
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.ControlStyle.CssClass = "Label";
                        label.Text = "Uploaded";
                        label.Style.Add("padding-right", "10px");
                    }).GetHtml()
                </div>
                <div style="float:left; display:inline; margin-right:3px;">
                    @Html.DevExpress().TextBox(
                    edtSettings =>
                    {
                        edtSettings.Name = "TOTAL_UPLOAD";
                        edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(50);
                        edtSettings.Properties.ValidationSettings.EnableCustomValidation = true;
                        edtSettings.Properties.MaxLength = 11;
                    }).GetHtml()
                </div>
                <div style="float:left; display:inline; margin-right:3px; width:4px;">
                   &nbsp;
                </div>
                <div style="float:left; display:inline; margin-right:3px;">
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.ControlStyle.CssClass = "Label";
                        label.Text = "Updated";
                        label.Style.Add("padding-right", "10px");
                    }).GetHtml()
                </div>
                <div style="float:left; display:inline; margin-right:3px;">
                    @Html.DevExpress().TextBox(
                    edtSettings =>
                    {
                        edtSettings.Name = "TOTAL_UPDATE";
                        edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(50);
                        edtSettings.Properties.ValidationSettings.EnableCustomValidation = true;
                        edtSettings.Properties.MaxLength = 11;
                    }).GetHtml()
                </div>
            </td>
        </tr>
        <tr>
            <td>
                @Html.DevExpress().Label(
                    label =>
                    {
                        label.ControlStyle.CssClass = "Label";
                        label.Text = "Actual Arrival Date";
                        label.Style.Add("padding-right", "10px");
                    }).GetHtml()
            </td>
            <td>:</td>
            <td>
                @Html.DevExpress().TextBox(
                    edtSettings =>
                    {
                        edtSettings.Name = "ACTUAL_ARRIVAL_DATE";
                        edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(150);
                        edtSettings.Properties.ValidationSettings.EnableCustomValidation = true;
                        edtSettings.Properties.MaxLength = 11;
                    }).GetHtml()
            </td>
        </tr>
    </table>
    
    <div style="float:right">
        <table border="0">
            <tr>
                <td>
                    @Html.DevExpress().Button(
                    button =>
                    {
                        button.Name = "btnUpdateFlg";
                        button.Text = "Update";
                        button.Width = Unit.Pixel(80);
                        button.Style.Add("display", "inline-table");
                        button.ClientSideEvents.Click = "updateReceivingFlag";

                    }).GetHtml()

                </td>
                <td>
                    @Html.DevExpress().Button(
                    button =>
                    {
                        button.Name = "btnCancelFlg";
                        button.Text = "Cancel";
                        button.Width = Unit.Pixel(80);
                        button.Style.Add("display", "inline-table");
                        button.ClientSideEvents.Click = "cancelReceivingFlag";

                    }).GetHtml()

                </td>
            </tr>
        </table>
    </div>
</div>

<div style="height: 15px;">
</div>

<div style=" display: table; width: 100%; margin-right: 10px; ">
    @Html.Action("PartialDataUpload", "KanbanReceiving")
</div>
